Xerces-C++: XSValue::XSValue_Data Struct Reference

Xerces-C++ 3.3.0

Public Attributes | List of all members
XSValue::XSValue_Data Struct Reference

public data More...

`#include <xercesc/framework/psvi/XSValue.hpp>`

## Public Attributes
DataType | f_datatype
union { |
bool f_bool |
char f_char |
unsigned char f_uchar |
short f_short |
unsigned short f_ushort |
int f_int |
unsigned int f_uint |
long f_long |
unsigned long f_ulong |
float f_float |
double f_double |
XMLCh * f_strVal |
XMLByte * f_byteVal |
struct decimal { |
double f_dvalue |
} f_decimal |
struct datetime { |
int f_year |
int f_month |
int f_day |
int f_hour |
int f_min |
int f_second |
double f_milisec |
} f_datetime |
struct doubletype { |
double f_double |
DoubleFloatType f_doubleEnum |
} f_doubleType |
struct floattype { |
float f_float |
DoubleFloatType f_floatEnum |
} f_floatType |
} | fValue |

## Detailed Description

public data

## Member Data Documentation

## ◆ f_bool

bool XSValue::XSValue_Data::f_bool

## ◆ f_byteVal

XMLByte* XSValue::XSValue_Data::f_byteVal

## ◆ f_char

char XSValue::XSValue_Data::f_char

## ◆ f_datatype

DataType XSValue::XSValue_Data::f_datatype

## ◆ [struct]

struct { ... } ::datetime XSValue::XSValue_Data::f_datetime

## ◆ f_day

int XSValue::XSValue_Data::f_day

## ◆ [struct]

struct { ... } ::decimal XSValue::XSValue_Data::f_decimal

## ◆ f_double

double XSValue::XSValue_Data::f_double

## ◆ f_doubleEnum

DoubleFloatType XSValue::XSValue_Data::f_doubleEnum

## ◆ [struct]

struct { ... } ::doubletype XSValue::XSValue_Data::f_doubleType

## ◆ f_dvalue

double XSValue::XSValue_Data::f_dvalue

## ◆ f_float

float XSValue::XSValue_Data::f_float

## ◆ f_floatEnum

DoubleFloatType XSValue::XSValue_Data::f_floatEnum

## ◆ [struct]

struct { ... } ::floattype XSValue::XSValue_Data::f_floatType

## ◆ f_hour

int XSValue::XSValue_Data::f_hour

## ◆ f_int

int XSValue::XSValue_Data::f_int

## ◆ f_long

long XSValue::XSValue_Data::f_long

## ◆ f_milisec

double XSValue::XSValue_Data::f_milisec

## ◆ f_min

int XSValue::XSValue_Data::f_min

## ◆ f_month

int XSValue::XSValue_Data::f_month

## ◆ f_second

int XSValue::XSValue_Data::f_second

## ◆ f_short

short XSValue::XSValue_Data::f_short

## ◆ f_strVal

XMLCh* XSValue::XSValue_Data::f_strVal

## ◆ f_uchar

unsigned char XSValue::XSValue_Data::f_uchar

## ◆ f_uint

unsigned int XSValue::XSValue_Data::f_uint

## ◆ f_ulong

unsigned long XSValue::XSValue_Data::f_ulong

## ◆ f_ushort

unsigned short XSValue::XSValue_Data::f_ushort

## ◆ f_year

int XSValue::XSValue_Data::f_year

## ◆ [union]

union { ... } XSValue::XSValue_Data::fValue

The documentation for this struct was generated from the following file:

- XSValue.hpp